Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.runtime
Interface ExecuteThread

All Superinterfaces:
  Serializable

public interface ExecuteThread
extends Serializable

Exposes the runtime state of an execute thread.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`String` | `getApplicationName()` Returns the current application name.
`String` | `getCurrentRequest()` Returns a String representation of the request this thread is currently processing.
`String` | `getLastRequest()` Deprecated. 7.0, 2002-Feb-20 -- current request is what counts most
`String` | `getModuleName()` Returns the current module name.
`String` | `getName()` Returns the name of the ExecuteThread.
`int` | `getServicedRequestTotalCount()` Returns the number of requests which have been processed by this queue.
`JTATransaction` | `getTransaction()` Returns the transaction that the execute thread is currently working on behalf of.
`String` | `getUser()` Returns the user the execute thread is currently working on behalf of.
`String` | `getWorkManagerName()` Returns the current WorkManager name.
`boolean` | `isIdle()` Returns true if the execute thread has no work assigned to it.
`boolean` | `isStandby()` Returns true if the execute thread is not a part of the active thread pool

Method Detail

### getApplicationName

    public String getApplicationName()

  Returns the current application name. Returns NULL for execute queues.

### getCurrentRequest

    public String getCurrentRequest()

  Returns a String representation of the request this thread is currently processing.

  Returns:
    The currentRequest value

### getLastRequest

    public String getLastRequest()

  Deprecated. 7.0, 2002-Feb-20 -- current request is what counts most

  Returns a String representation of the last request this thread processed.

  Returns:
    The lastRequest value

### getModuleName

    public String getModuleName()

  Returns the current module name. Returns NULL for execute queues.

### getName

    public String getName()

  Returns the name of the ExecuteThread.

  Returns:
    The name value

### getServicedRequestTotalCount

    public int getServicedRequestTotalCount()

  Returns the number of requests which have been processed by this queue.

  Returns:
    The servicedRequestTotalCount value

### getTransaction

    public JTATransaction getTransaction()

  Returns the transaction that the execute thread is currently working on behalf of.

  Returns:
    The transaction value

### getUser

    public String getUser()

  Returns the user the execute thread is currently working on behalf of.

  Returns:
    The user value

### getWorkManagerName

    public String getWorkManagerName()

  Returns the current WorkManager name. Returns NULL for execute queues.

### isIdle

    public boolean isIdle()

  Returns true if the execute thread has no work assigned to it.

  Returns:
    The idle value

### isStandby

    public boolean isStandby()

  Returns true if the execute thread is not a part of the active thread pool

  Returns:
    The standby value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD